<?php
global $evision_corporate_sections;
global $evision_corporate_settings_controls;
global $evision_corporate_repeated_settings_controls;

/**
 * Returns evision_corporate_important_links
 *
 * @since Evision Corporate 1.1.3
 */
if ( ! function_exists( 'evision_corporate_important_links' ) ) :
    function evision_corporate_important_links(){
        $important_links = array(
            'pro_link' => array(
                'link'	=> esc_url( 'http://themepalace.com/shop/wordpress-themes/evision-corporate-pro/' ),
                'text' 	=> __( 'Pro Link', 'evision-corporate' ),
            ),
            'theme_docs' => array(
                'link'	=> esc_url( 'http://doc.evisionthemes.com/evision-corporate/' ),
                'text' 	=> __( 'Theme Documentation', 'evision-corporate' ),
            ),
            'theme_demo' => array(
                'link'	=> esc_url( 'http://demo.evisionthemes.com/evision-corporate/' ),
                'text' 	=> __( 'Theme Demo', 'evision-corporate' ),
            ),
            'theme_author' => array(
                'link'	=> esc_url( 'http://evisionthemes.com/' ),
                'text' 	=> __( 'Theme Author', 'evision-corporate' ),
            ),
            'support' => array(
                'link'	=> esc_url( 'https://wordpress.org/support/theme/evision-corporate' ),
                'text' 	=> __( 'Support', 'evision-corporate' ),
            ),
            'review' => array(
                'link'	=> esc_url( 'https://wordpress.org/support/view/theme-reviews/evision-corporate' ),
                'text' 	=> __( 'Review', 'evision-corporate' ),
            ),
            'facebook' => array(
                'link'	=> esc_url( 'https://www.facebook.com/evisionthemes/' ),
                'text' 	=> __( 'Facebook', 'evision-corporate' ),
            ),
            'twitter' => array(
                'link'	=> esc_url( 'https://twitter.com/evisionthemes' ),
                'text' 	=> __( 'Twitter', 'evision-corporate' ),
            ),
            'linkedin' => array(
                'link'	=> esc_url( 'https://www.linkedin.com/in/evisionthemes' ),
                'text' 	=> __( 'Linkedin', 'evision-corporate' ),
            ),
            'gplus' => array(
                'link'	=> esc_url( 'https://plus.google.com/u/0/107886266472533269268/about' ),
                'text' 	=> __( 'Google+', 'evision-corporate' ),
            ),
            'pinterest' => array(
                'link'	=> esc_url( 'https://www.pinterest.com/evisionthemes/' ),
                'text' 	=> __( 'Pinterest', 'evision-corporate' ),
            ),
        );
        $important_links_text = '';
        foreach ( $important_links as $important_link) {
            $important_links_text .= '<p><a target="_blank" href="' . $important_link['link'] .'" >' . esc_attr( $important_link['text'] ) .' </a></p>';
        }
        return $important_links_text;
    }
endif;


$evision_corporate_sections['evision-corporate-imp-links'] =
    array(
        'priority'       => 200,
        'title'          => __( 'Important Links ', 'evision-corporate' ),
    );

/*creating setting control for evision-corporate-imp-links start*/
$evision_corporate_settings_controls['evision-corporate-imp-links-copyright'] =
    array(
        'control' => array(
            'label'                 =>  __( 'Copyright text', 'evision-corporate' ),
            'section'               => 'evision-corporate-imp-links',
            'type'                  => 'message',
            'priority'              => 2,
            'description'           => evision_corporate_important_links(),
            'active_callback'       => ''
        )
    );